summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-20 14:53:16 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-21 01:49:23 -0500
commit156912a64a5003eaf13858ac7a280d346e9eac62 (patch)
tree1c7a2194a6380c55f50507e91f29850a39f71653 /network
parentc22175e50052e705e3dd7ce50838457639f44a1b (diff)
downloadslackbuilds-156912a64a5003eaf13858ac7a280d346e9eac62.tar.gz
slackbuilds-156912a64a5003eaf13858ac7a280d346e9eac62.tar.xz
network/ndiswrapper: Miscellaneous cleanups.
Diffstat (limited to 'network')
-rw-r--r--network/ndiswrapper/README2
-rw-r--r--network/ndiswrapper/ndiswrapper.SlackBuild19
2 files changed, 15 insertions, 6 deletions
diff --git a/network/ndiswrapper/README b/network/ndiswrapper/README
index 5173f7adcb..5bfa035d43 100644
--- a/network/ndiswrapper/README
+++ b/network/ndiswrapper/README
@@ -11,4 +11,4 @@ directory for instructions on configuring your wireless card.
If you'd like to build the module for a kernel that isn't currently
running on the system, you should be able to pass that kernel's
"uname -r" output on the command line as the value of KERNEL, as in:
- KERNEL=2.6.32.8 ./ndiswrapper.SlackBuild
+ KERNEL=2.6.33.5 ./ndiswrapper.SlackBuild
diff --git a/network/ndiswrapper/ndiswrapper.SlackBuild b/network/ndiswrapper/ndiswrapper.SlackBuild
index 97e0cade79..902a9b743e 100644
--- a/network/ndiswrapper/ndiswrapper.SlackBuild
+++ b/network/ndiswrapper/ndiswrapper.SlackBuild
@@ -26,10 +26,19 @@
PRGNAM=ndiswrapper
VERSION=${VERSION:-1.56}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -46,6 +55,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -71,10 +83,7 @@ make install KVERS=$KERNEL DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
# Clean up a few things
rm $PKG/lib/modules/*/modules.*